## bosixnet 1.6

=== CMakeLists.txt ===
project (bosixnet)
cmake_minimum_required (VERSION 2.8)

set (PROJECT_NAME "BOSixNet")
set (VERSION "1.6")

add_subdirectory (src/bosixnet-daemon)
add_subdirectory (src/bosixnet-webui)

configure_file (${PROJECT_SOURCE_DIR}/Version.h.in ${PROJECT_BINARY_DIR}/Version.h)

add_custom_target (uninstall
    COMMAND xargs -a "${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt" rm
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/src/bosixnet-daemon/bosixnet-daemon remove
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/src/bosixnet-webui/bosixnet-webui remove)

=== src/bosixnet-webui/CMakeLists.txt ===
project (bosixnet_webui)
cmake_minimum_required (VERSION 2.8)

include_directories(${CMAKE_BINARY_DIR})

add_executable (${PROJECT_NAME} main.cpp)

target_link_libraries (${PROJECT_NAME} fcgi)

execute_process (COMMAND gzip -9
                 INPUT_FILE ${PROJECT_NAME}.1
                 OUTPUT_FILE ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/)

install (TARGETS ${PROJECT_NAME}
         RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin/")
install (FILES bosixnet-webui
         DESTINATION "/etc/init.d/"
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES webui_launcher
         DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/bosixnet/"
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES bosixnet-webui.conf
         DESTINATION "/etc/bosixnet/")
install (FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
         DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")

=== debian/changelog ===
bosixnet (1.6-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Thu, 13 Feb 2014 14:08:07 +0400

bosixnet (1.6-1) experimental; urgency=medium

  * Initial release.  (Closes: #738681)

 -- Boris Pek <tehnick@debian.org>  Wed, 12 Feb 2014 01:29:40 +0400

=== debian/control ===
Source: bosixnet
Section: net
Priority: optional
Maintainer: Boris Pek <tehnick@debian.org>
Build-Depends: debhelper (>= 9), cmake, libfcgi-dev
Homepage: https://github.com/tehnick/bosixnet
Vcs-Git: git://github.com/tehnick/bosixnet-debian.git
Vcs-Browser: https://github.com/tehnick/bosixnet-debian
Standards-Version: 3.9.5

Package: bosixnet-daemon
Architecture: all
Depends: ${misc:Depends}, sed (>= 4.2), curl
Suggests: bosixnet-webui, miredo | gogoc
Description: Build Own IPv6 Network (client utilities)
 Project should be useful when you have to administer many computers
 distributed through different networks and connected via NAT. In most of
 cases you may just install miredo, gogoc or any other tunnel broker's
 software and these computers will be available via IPv6 addresses. BOSixNet
 includes the collection of tools for automatic updating the list of such
 hosts.
 .
 This package provides the shell script which periodically sends information
 about current IPv6 address to remote server and updates local /etc/hosts
 based on data received from that remote server. It is expected that
 bosixnet-webui is launched on that remote server.

Package: bosixnet-webui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sed (>= 4.2),
 spawn-fcgi, curl, adduser
Recommends: bosixnet-daemon
Suggests: miredo | gogoc
Description: Build Own IPv6 Network (server utilities)
 Project should be useful when you have to administer many computers
 distributed through different networks and connected via NAT. In most of
 cases you may just install miredo, gogoc or any other tunnel broker's
 software and these computers will be available via IPv6 addresses. BOSixNet
 includes the collection of tools for automatic updating the list of such
 hosts.
 .
 This package provides the FastCGI program which passively listens for
 incoming connections and generates list of hosts in your IPv6 network which
 may be put directly into /etc/hosts. Program has very few dependencies and
 it may be easily launched on embedded devices.

## bosixnet 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 2.8)
 
 set (PROJECT_NAME "BOSixNet")
-set (VERSION "1.6")
+set (VERSION "1.7")
 
 add_subdirectory (src/bosixnet-daemon)
 add_subdirectory (src/bosixnet-webui)

=== src/bosixnet-daemon/CMakeLists.txt ===
project (bosixnet_daemon)
cmake_minimum_required (VERSION 2.8)

execute_process (COMMAND gzip -9
                 INPUT_FILE ${PROJECT_NAME}.1
                 OUTPUT_FILE ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/)

install (FILES ${PROJECT_NAME}
         DESTINATION "${CMAKE_INSTALL_PREFIX}/bin/"
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES bosixnet-daemon
         DESTINATION "/etc/init.d/"
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES daemon_launcher update_address update_hosts
         DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/bosixnet/"
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES bosixnet-daemon.conf
         DESTINATION "/etc/bosixnet/")
install (FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
         DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")

=== src/bosixnet-webui/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include_directories(${CMAKE_BINARY_DIR})
 
-add_executable (${PROJECT_NAME} main.cpp)
+add_executable (${PROJECT_NAME} bosixnet-webui.cpp)
 
 target_link_libraries (${PROJECT_NAME} fcgi)

=== debian/changelog ===
bosixnet (1.7-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (was 3.9.5): no changes required.
  * Update debian/copyright: relicensed from GPLv2 or later to Expat.
  * Update debian/control using wrap-and-sort tool.
  * Fix lintian error:
    maintainer-script-should-not-use-adduser-system-without-home

 -- Boris Pek <tehnick@debian.org>  Sun, 04 Oct 2015 22:20:39 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libfcgi-dev
+Build-Depends: cmake, debhelper (>= 9), libfcgi-dev
 Homepage: https://github.com/tehnick/bosixnet
 Vcs-Git: git://github.com/tehnick/bosixnet-debian.git
 Vcs-Browser: https://github.com/tehnick/bosixnet-debian
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: bosixnet-daemon
 Architecture: all
-Depends: ${misc:Depends}, sed (>= 4.2), curl
+Depends: curl, sed (>= 4.2), ${misc:Depends}
 Suggests: bosixnet-webui, miredo | gogoc
 Description: Build Own IPv6 Network (client utilities)
  Project should be useful when you have to administer many computers
@@ -27,8 +27,12 @@
 
 Package: bosixnet-webui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sed (>= 4.2),
- spawn-fcgi, curl, adduser
+Depends: adduser,
+         curl,
+         sed (>= 4.2),
+         spawn-fcgi,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: bosixnet-daemon
 Suggests: miredo | gogoc
 Description: Build Own IPv6 Network (server utilities)

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = bosixnet

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure
	cp -f $(CURDIR)/src/bosixnet-daemon/bosixnet-daemon $(CURDIR)/debian/bosixnet-daemon.init
	cp -f $(CURDIR)/src/bosixnet-webui/bosixnet-webui   $(CURDIR)/debian/bosixnet-webui.init

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/*.init

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
https://github.com/tehnick/bosixnet/tags .*/tehnick/bosixnet/archive/v(\d.+)\.tar\.gz debian uupdate

## bosixnet 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,25 @@
 
 set (PROJECT_NAME "BOSixNet")
 set (VERSION "1.7")
+
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
+
+option (WITH_SYSVINIT_SUPPORT "Install sysvinit scripts" ON)
+option (WITH_SYSTEMD_SUPPORT "Install systemd unit configuration files" ON)
+
+if (WITH_SYSVINIT_SUPPORT)
+    if (NOT SYSVINIT_SCRIPTS_DIR)
+        set (SYSVINIT_SCRIPTS_DIR "/etc/init.d/")
+    endif (NOT SYSVINIT_SCRIPTS_DIR)
+    message (STATUS "SysVinit scripts will be installed to: ${SYSVINIT_SCRIPTS_DIR}")
+endif (WITH_SYSVINIT_SUPPORT)
+
+if (WITH_SYSTEMD_SUPPORT)
+    if (NOT SYSTEMD_UNIT_FILES_DIR)
+        set (SYSTEMD_UNIT_FILES_DIR "/lib/systemd/system/")
+    endif (NOT SYSTEMD_UNIT_FILES_DIR)
+    message (STATUS "Systemd unit configuration files will be installed to: ${SYSTEMD_UNIT_FILES_DIR}")
+endif (WITH_SYSTEMD_SUPPORT)
 
 add_subdirectory (src/bosixnet-daemon)
 add_subdirectory (src/bosixnet-webui)

=== debian/changelog ===
bosixnet (1.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Boris Pek <tehnick@debian.org>  Wed, 08 Feb 2017 04:04:39 +0300

bosixnet (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (was 3.9.6): no changes required.
  * Update debian/control:
    - fix lintian error init.d-script-needs-depends-on-lsb-base
    - fix lintian note vcs-field-uses-insecure-uri vcs-git
    - add build dependency on dh-systemd
  * Update debian/rules:
    - add --list-missing and --with systemd options for dh
  * Update debian/bosixnet-*.install files.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Oct 2016 13:20:36 +0300

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --list-missing --with systemd
 
 override_dh_auto_configure:
 	dh_auto_configure

## bosixnet 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
 
-option (WITH_SYSVINIT_SUPPORT "Install sysvinit scripts" ON)
+option (WITH_SYSVINIT_SUPPORT "Install sysvinit scripts" OFF)
 option (WITH_SYSTEMD_SUPPORT "Install systemd unit configuration files" ON)
 
 if (WITH_SYSVINIT_SUPPORT)

=== src/bosixnet-webui/CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 install (TARGETS ${PROJECT_NAME}
          RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin/")
-install (FILES bosixnet-webui
-         DESTINATION "/etc/init.d/"
-         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install (FILES webui_launcher
          DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/bosixnet/"
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
@@ -24,3 +21,15 @@
          DESTINATION "/etc/bosixnet/")
 install (FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
          DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")
+
+if (WITH_SYSVINIT_SUPPORT)
+    install (FILES bosixnet-webui
+             DESTINATION "${SYSVINIT_SCRIPTS_DIR}"
+             PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+endif (WITH_SYSVINIT_SUPPORT)
+
+if (WITH_SYSTEMD_SUPPORT)
+    install (FILES bosixnet-webui.service
+             DESTINATION "${SYSTEMD_UNIT_FILES_DIR}"
+             PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+endif (WITH_SYSTEMD_SUPPORT)

=== debian/changelog ===
bosixnet (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Enable all hardening flags in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Wed, 08 Feb 2017 02:10:37 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: cmake, debhelper (>= 9), libfcgi-dev
+Build-Depends: cmake, debhelper (>= 9), dh-systemd, libfcgi-dev
 Homepage: https://github.com/tehnick/bosixnet
-Vcs-Git: git://github.com/tehnick/bosixnet-debian.git
+Vcs-Git: https://github.com/tehnick/bosixnet-debian.git
 Vcs-Browser: https://github.com/tehnick/bosixnet-debian
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: bosixnet-daemon
 Architecture: all
-Depends: curl, sed (>= 4.2), ${misc:Depends}
+Depends: curl, lsb-base (>= 3.0-6), sed (>= 4.2), ${misc:Depends}
 Suggests: bosixnet-webui, miredo | gogoc
 Description: Build Own IPv6 Network (client utilities)
  Project should be useful when you have to administer many computers
@@ -29,6 +29,7 @@
 Architecture: any
 Depends: adduser,
          curl,
+         lsb-base (>= 3.0-6),
          sed (>= 4.2),
          spawn-fcgi,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
 CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
+
+export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel --list-missing --with systemd

## bosixnet 2.0

=== src/bosixnet-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,6 @@
 install (FILES ${PROJECT_NAME}
          DESTINATION "${CMAKE_INSTALL_PREFIX}/bin/"
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-install (FILES bosixnet-daemon
-         DESTINATION "/etc/init.d/"
-         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install (FILES daemon_launcher update_address update_hosts
          DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/bosixnet/"
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
@@ -19,3 +16,15 @@
          DESTINATION "/etc/bosixnet/")
 install (FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.1.gz
          DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")
+
+if (WITH_SYSVINIT_SUPPORT)
+    install (FILES bosixnet-daemon
+             DESTINATION "${SYSVINIT_SCRIPTS_DIR}"
+             PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+endif (WITH_SYSVINIT_SUPPORT)
+
+if (WITH_SYSTEMD_SUPPORT)
+    install (FILES bosixnet-daemon.service
+             DESTINATION "${SYSTEMD_UNIT_FILES_DIR}"
+             PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+endif (WITH_SYSTEMD_SUPPORT)

=== debian/changelog ===
bosixnet (2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073625)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 01:00:25 +0200

bosixnet (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:55:22 +0200

bosixnet (2.0-2) unstable; urgency=medium

  * Update debian/control:
    - bump Standards-Version to 4.5.1 (was 4.2.1): no changes required
    - replace build dependency from debhelper (>= 11~) to
      debhelper-compat (= 13)
    - add Rules-Requires-Root: no
  * Delete debian/compat
  * Update debian/watch
  * Simplify debian/rules:
    remove DEB_LDFLAGS_MAINT_APPEND variable with -Wl,--as-needed flag
  * Add debian/bosixnet-webui.lintian-overrides
  * Add debian/bosixnet-daemon.lintian-overrides

 -- Boris Pek <tehnick@debian.org>  Fri, 08 Jan 2021 00:53:45 +0300

bosixnet (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1 (was 3.9.8).
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Update debian/control:
    - delete build dependency from dh-systemd
    - add net-tools to dependencies of bosixnet-daemon package
  * Simplify debian/rules:
    - delete "--parallel", "--list-missing" and "--with systemd" options
      from dh after switching to new debhelper
    - delete get-orig-source section after switching to new Standards-Version
    - stop support of SysVinit: delete override_dh_auto_configure and
      override_dh_auto_clean sections
    - delete override_dh_builddeb section: fixes lintian note:
      debian-rules-should-not-use-custom-compression-settings
  * Add debian/source/lintian-overrides.
  * Add debian/upstream/metadata.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Mon, 10 Dec 2018 03:39:54 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: cmake, debhelper (>= 9), dh-systemd, libfcgi-dev
+Build-Depends: cmake, debhelper-compat (= 13), libfcgi-dev
 Homepage: https://github.com/tehnick/bosixnet
 Vcs-Git: https://github.com/tehnick/bosixnet-debian.git
 Vcs-Browser: https://github.com/tehnick/bosixnet-debian
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: bosixnet-daemon
 Architecture: all
-Depends: curl, lsb-base (>= 3.0-6), sed (>= 4.2), ${misc:Depends}
+Depends: curl, lsb-base (>= 3.0-6), net-tools, sed (>= 4.2), ${misc:Depends}
 Suggests: bosixnet-webui, miredo | gogoc
 Description: Build Own IPv6 Network (client utilities)
  Project should be useful when you have to administer many computers

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSYSTEMD_UNIT_FILES_DIR=/usr/lib/systemd/system/
